# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-18 11:42
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ippidb', '0009_auto_20170517_2020'),
    ]

    operations = [
        migrations.CreateModel(
            name='PpiComplex',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cc_nb', models.IntegerField(default=1, verbose_name='Number of copies of the complex in the PPI')),
                ('complex', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.ProteinDomainComplex')),
            ],
            options={
                'verbose_name_plural': 'Ppi complexes',
            },
        ),
        migrations.RemoveField(
            model_name='ppi',
            name='cc_nb',
        ),
        migrations.RemoveField(
            model_name='ppi',
            name='complex',
        ),
        migrations.RemoveField(
            model_name='ppi',
            name='ppi_id',
        ),
        migrations.RemoveField(
            model_name='testactivitydescription',
            name='complex',
        ),
        migrations.AlterField(
            model_name='compoundactivityresult',
            name='activity_type',
            field=models.CharField(choices=[('pIC50', 'pIC50 (half maximal inhibitory concentration, -log10)'), ('pEC50', 'pEC50 (half maximal effective concentration, -log10)'), ('pKd', 'pKd (dissociation constant, -log10)'), ('pKi', 'pKi (inhibition constant, -log10)')], max_length=5, verbose_name='Activity type'),
        ),
        migrations.AlterUniqueTogether(
            name='cmpdaction',
            unique_together=set([('compound', 'activation_mode', 'pdb_id')]),
        ),
        migrations.RemoveField(
            model_name='cmpdaction',
            name='complex',
        ),
        migrations.AlterUniqueTogether(
            name='cmpdaction',
            unique_together=set([('ppi', 'compound', 'activation_mode', 'pdb_id')]),
        ),
        migrations.DeleteModel(
            name='ActivityType',
        ),
        migrations.AddField(
            model_name='ppicomplex',
            name='ppi',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ippidb.Ppi'),
        ),
    ]
